Skip to main content
GET
/
api
/
v1
/
destination
/
{id}
get entity by id
curl --request GET \
  --url https://api.example.com/api/v1/destination/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "tenantId": 123,
  "type": "EMAIL",
  "uid": "Telegram: /start {uid}",
  "tags": [
    "DEFAULT"
  ],
  "value": "<string>",
  "telegramBotUsername": "<string>",
  "telegramUserId": "<string>",
  "telegramUsername": "<string>",
  "telegramChatId": "<string>",
  "telegramChatTitle": "<string>",
  "telegramChatType": "<string>",
  "slackUri": "<string>",
  "slackChannelId": "<string>",
  "slackChannelName": "<string>",
  "uri": "<string>",
  "method": "<string>",
  "headers": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

tenantId
integer<int64>

ID of the tenant

type
enum<string>

Type of the destination information

Available options:
EMAIL,
TELEGRAM,
HTTP,
SLACK
uid
string

The uid which can be used to bind a destination

Example:

"Telegram: /start {uid}"

tags
enum<string>[]

Destination tags

Available options:
DEFAULT,
DETECTOR,
WALLET
value
string

The destination information value, e.g., an email address, phone number, http uri, etc.

telegramBotUsername
string

The telegram bot username

telegramUserId
string

The telegram user id

telegramUsername
string

The telegram username

telegramChatId
string

The telegram chat id

telegramChatTitle
string

The telegram chat title

telegramChatType
string

The telegram chat type

slackUri
string

Webhook slack uri

slackChannelId
string

Slack Channel id

slackChannelName
string

Slack Channel name

uri
string

Http uri

method
string

Http method

headers
object

Http headers